# class KColorCells | A table of editable colour cells. More...
Definition | `#include <kcolordialog.h>`
Inherits | QTableView (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KColorCells ( QWidget *parent, int rows, int cols )
- ~KColorCells ()
- void setColor ( int colNum, const QColor &col )
- QColor color ( int indx )
- int numCells ()
- void setShading (bool _shade)
- void setAcceptDrags (bool _acceptDrags)
- int getSelected ()

#### Signals

- void colorSelected ( int col )

#### Protected Methods

- int posToCell (const QPoint &pos, bool ignoreBorders=false)

#### Protected Members

- QColor *colors
- bool inMouse
- QPoint mPos
- int selected
- bool shade
- bool acceptDrags

## Detailed Description

A table of editable colour cells.

KColorCells ( QWidget *parent, int rows, int cols ) | ### KColorCells

~KColorCells () | ### ~KColorCells

void setColor ( int colNum, const QColor &col ) | ### setColor

QColor color ( int indx ) | ### color

int numCells () | ### numCells

void setShading (bool _shade) | ### setShading

void setAcceptDrags (bool _acceptDrags) | ### setAcceptDrags

int getSelected () | ### getSelected

void colorSelected ( int col ) | ### colorSelected

[signal]

void paintCell ( QPainter *painter, int row, int col ) | ### paintCell

[protected virtual]

Reimplemented from QTableView for internal purposes..

void resizeEvent ( QResizeEvent * ) | ### resizeEvent

[protected virtual]

Reimplemented from QTableView for internal purposes..

void mouseReleaseEvent ( QMouseEvent * ) | ### mouseReleaseEvent

[protected virtual]

void mousePressEvent ( QMouseEvent * ) | ### mousePressEvent

[protected virtual]

void mouseMoveEvent ( QMouseEvent * ) | ### mouseMoveEvent

[protected virtual]

void dragEnterEvent ( QDragEnterEvent *) | ### dragEnterEvent

[protected virtual]

void dropEvent ( QDropEvent *) | ### dropEvent

[protected virtual]

int posToCell (const QPoint &pos, bool ignoreBorders=false) | ### posToCell

[protected]

QColor * colors | ### colors

[protected]

bool inMouse | ### inMouse

[protected]

QPoint mPos | ### mPos

[protected]

int selected | ### selected

[protected]

bool shade | ### shade

[protected]

bool acceptDrags | ### acceptDrags

[protected]

- Version: $Id: kcolordialog.h,v 1.34 2000/12/21 18:53:18 waba Exp $
- Author: Martin Jones <mjones@kde.org>
- Generated: root@i386.ports.openbsd.org on Wed Apr 25 13:58:24 2001, using kdoc 2.0a53.